> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Risk Profiles

> List risk profiles with optional filters.



## OpenAPI

````yaml /openapi.json get /risk/profiles
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /risk/profiles:
    get:
      tags:
        - Risk
      summary: List Risk Profiles
      description: List risk profiles with optional filters.
      operationId: list_risk_profiles_risk_profiles_get
      parameters:
        - name: classification
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Filter: normal, watchlist, toxic'
            title: Classification
          description: 'Filter: normal, watchlist, toxic'
        - name: min_trades
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Minimum trades in 30d window
            default: 0
            title: Min Trades
          description: Minimum trades in 30d window
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            description: Sort field
            default: total_pnl_30d
            title: Sort By
          description: Sort field
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomerRiskProfileResponse'
                title: Response List Risk Profiles Risk Profiles Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CustomerRiskProfileResponse:
      properties:
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        total_trades_30d:
          type: integer
          title: Total Trades 30D
        winning_trades_30d:
          type: integer
          title: Winning Trades 30D
        win_rate_30d:
          anyOf:
            - type: number
            - type: 'null'
          title: Win Rate 30D
        total_pnl_30d:
          type: number
          title: Total Pnl 30D
        profit_factor_30d:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit Factor 30D
        avg_hold_seconds_30d:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Hold Seconds 30D
        median_hold_seconds_30d:
          anyOf:
            - type: number
            - type: 'null'
          title: Median Hold Seconds 30D
        trades_under_60s_30d:
          type: integer
          title: Trades Under 60S 30D
        pct_trades_under_60s:
          anyOf:
            - type: number
            - type: 'null'
          title: Pct Trades Under 60S
        short_hold_win_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Short Hold Win Rate
        trades_around_news_30d:
          type: integer
          title: Trades Around News 30D
        primary_symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Symbol
        symbol_count_30d:
          type: integer
          title: Symbol Count 30D
        total_trades_lifetime:
          type: integer
          title: Total Trades Lifetime
        total_pnl_lifetime:
          type: number
          title: Total Pnl Lifetime
        win_rate_lifetime:
          anyOf:
            - type: number
            - type: 'null'
          title: Win Rate Lifetime
        risk_classification:
          type: string
          title: Risk Classification
        risk_flags:
          items:
            type: string
          type: array
          title: Risk Flags
        classification_changed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Classification Changed At
        last_computed_at:
          type: string
          format: date-time
          title: Last Computed At
      type: object
      required:
        - customer_id
        - total_trades_30d
        - winning_trades_30d
        - win_rate_30d
        - total_pnl_30d
        - profit_factor_30d
        - avg_hold_seconds_30d
        - median_hold_seconds_30d
        - trades_under_60s_30d
        - pct_trades_under_60s
        - short_hold_win_rate
        - trades_around_news_30d
        - primary_symbol
        - symbol_count_30d
        - total_trades_lifetime
        - total_pnl_lifetime
        - win_rate_lifetime
        - risk_classification
        - risk_flags
        - classification_changed_at
        - last_computed_at
      title: CustomerRiskProfileResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````